List a case's runs
curl --request POST \
--url https://api.anpord.com/v1/evals.runs.list \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"caseId": "<string>",
"page": 123,
"variant": "<string>"
}
'import requests
url = "https://api.anpord.com/v1/evals.runs.list"
payload = {
"caseId": "<string>",
"page": 123,
"variant": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({caseId: '<string>', page: 123, variant: '<string>'})
};
fetch('https://api.anpord.com/v1/evals.runs.list', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"page": 123,
"pageSize": 123,
"runs": [
{
"batchId": "<string>",
"case": {
"id": "<string>",
"name": "<string>"
},
"costs": {
"allocatedUsd": 123,
"components": [
{
"classification": "actual",
"component": "judge",
"detail": {},
"explanation": "<string>",
"source": "<string>",
"usd": 123
}
],
"estimatedEquivalentUsd": 123,
"incomplete": true,
"knownActualUsd": 123
},
"definitionHash": "<string>",
"distribution": {
"commandMax": 123,
"commandMedian": 123,
"commandMin": 123,
"deterministic": true,
"failed": 123,
"passRate": 123,
"passed": 123,
"scored": 123,
"trials": 123,
"voided": 123
},
"finishedAt": "2023-11-07T05:31:56Z",
"harnessVersion": "<string>",
"id": "<string>",
"local": true,
"profileVersion": "<string>",
"setup": {
"prepare": "<string>",
"prompt": "<string>",
"source": {
"kind": "empty"
},
"validator": "<string>",
"verify": "<string>",
"validatorFiles": [
{
"path": "<string>",
"content": "<string>"
}
]
},
"startedAt": "2023-11-07T05:31:56Z",
"status": "running",
"suite": {
"id": "<string>",
"name": "<string>"
},
"trials": [
{
"artifacts": [
{
"path": "<string>",
"byteSize": 1,
"sha256": "<string>"
}
],
"commands": 123,
"costs": {
"allocatedUsd": 123,
"components": [
{
"classification": "actual",
"component": "judge",
"detail": {},
"explanation": "<string>",
"source": "<string>",
"usd": 123
}
],
"estimatedEquivalentUsd": 123,
"incomplete": true,
"knownActualUsd": 123
},
"exitCode": 123,
"failedCommands": 123,
"filesChanged": [
"<string>"
],
"id": "<string>",
"modelMs": 123,
"ordinal": 123,
"sandboxId": "<string>",
"sandboxMs": 123,
"status": "queued",
"timed": true,
"trajectory": [
{
"_tag": "command",
"command": "<string>",
"exitCode": 123,
"finishedAtMillis": 123,
"output": "<string>",
"startedAtMillis": 123,
"outputTruncated": true
}
],
"usage": {
"cacheReadTokens": 123,
"cacheWriteTokens": 123,
"inputTokens": 123,
"outputTokens": 123,
"totalTokens": 123,
"costUsd": 123
},
"validations": [
{
"id": "<string>",
"index": 1,
"name": "<string>",
"kind": "code",
"status": "queued",
"startedAt": 123,
"durationMs": 1,
"message": "<string>",
"exitCode": 123,
"truncated": true,
"input": {
"text": "<string>",
"format": "text",
"state": "captured",
"truncated": true
},
"output": {
"text": "<string>",
"format": "text",
"state": "captured",
"truncated": true
},
"error": {
"text": "<string>",
"format": "text",
"state": "captured",
"truncated": true
},
"calls": [
{
"index": 1,
"method": "answer",
"startedAt": 123,
"durationMs": 1,
"input": {
"text": "<string>",
"format": "text",
"state": "captured",
"truncated": true
},
"output": {
"text": "<string>",
"format": "text",
"state": "captured",
"truncated": true
},
"error": {
"text": "<string>",
"format": "text",
"state": "captured",
"truncated": true
}
}
],
"logs": [
{
"index": 1,
"at": 123,
"level": "stdout",
"value": {
"text": "<string>",
"format": "text",
"state": "captured",
"truncated": true
}
}
],
"judgment": {
"name": "<string>",
"model": "<string>",
"evaluator": "<string>",
"score": 0.5,
"choice": "<string>",
"reason": "<string>",
"threshold": 0.5,
"durationMs": 1,
"error": "<string>"
},
"metadata": {
"text": "<string>",
"format": "text",
"state": "captured",
"truncated": true
}
}
],
"verifySteps": [
{
"command": "<string>",
"exitCode": 123
}
],
"voidFields": [
"<string>"
]
}
],
"trigger": {
"source": "dashboard",
"url": "<string>"
},
"variant": {
"harness": "codex",
"id": "<string>",
"model": "<string>",
"profile": "<string>",
"sandbox": "daytona",
"userModel": "<string>"
}
}
],
"total": 123
}{
"issues": [
{
"_tag": "Pointer",
"path": [
"<string>"
],
"message": "<string>"
}
],
"message": "<string>",
"_tag": "HttpApiDecodeError"
}{
"message": "<string>",
"_tag": "Unauthorized"
}{
"message": "<string>",
"_tag": "Forbidden"
}{
"message": "<string>",
"_tag": "NotFound"
}{
"message": "<string>",
"_tag": "Conflict"
}Runs
List a case's runs
Newest first, 20 to a page.
POST
/
v1
/
evals.runs.list
List a case's runs
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
application/json
⌘I